
Redmine - Defect #8580

Can not create new issue

2011-06-10 03:51 - ww yhy

Status: Closed Start date: 2011-06-10

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 1.2.0

Description

i can not create new issue in project. after click butthon "create". no error output.

i can not found the issue in "issue" tab. and show "No data to display".

But other function is work normal.

i am using redmine 1.2.0. and mysql 5.1.56. Linux.

Thanks!

Br, wwyhy

History

#1 - 2011-06-10 03:59 - ww yhy

More information:

Below is the log info when i create the new issue:

---------------------

Processing IssuesController#index (for 118.113.193.91 at 2011-06-09 19:17:27) [POST]

Parameters: {"commit"=>"创建", "project_id"=>"df", *"action"=>"index"*, "authenticity_token"=>"j4uuOFNKIlXl8HsGo

KOhD4UCD26IygBWhvE76Tglv30=", "issue"=>{"start_date"=>"2011-06-09", "estimated_hours"=>"", "parent_issue_id"=>

"", "priority_id"=>"4", "is_private"=>"0", "assigned_to_id"=>"", "subject"=>"cadfsf ", "tracker_id"=>"1", "due

_date"=>"", "status_id"=>"1", "description"=>"agsdf fsdf"}, "controller"=>"issues", "attachments"=>{"1"=>{"des

cription"=>""}}}

Rendering template within layouts/base

Rendering issues/index.rhtml

Completed in 96ms (View: 72, DB: 3) | 200 OK [http://pm.chineseyouth.com.au/issues?project_id=df]

 Bleow is log info when i create the news. and this is ok.

Processing NewsController#create (for 118.113.193.91 at 2011-06-09 19:38:53) [POST]

Parameters: {"commit"=>"创建", "project_id"=>"df", "action"=>"create", "authenticity_token"=>"j4uuOFNKIlXl8HsGoK

OhD4UCD26IygBWhvE76Tglv30=", "controller"=>"news", "news"=>{"title"=>"test", "description"=>"tewadfsdfsa", "su

mmary"=>""}}

Sending email notification to: admin@example.net

Redirected to http://pm.chineseyouth.com.au/news?project_id=df

Completed in 536ms (DB: 32) | 302 Found [http://pm.chineseyouth.com.au/projects/df/news]

 i compared this.

i found that the action is "index" but not "create" when create new issue, so the create new issue is failed. however the action is "create", so the

create the news is successfully.

How can modify source code? which file include this error?

Thanks!

Br, wwyhy

#2 - 2011-06-10 04:04 - ww yhy

You can check this problem by link:
http://pm.chineseyouth.com.au

username: test

password: 123456

#3 - 2011-06-10 09:59 - Etienne Massip

Any plugin ?

#4 - 2011-06-10 17:11 - ww yhy

this is new installation. I have not install any plugin except defualt in 1.2.0.

#5 - 2011-06-10 19:03 - ww yhy

- Status changed from New to Resolved

- % Done changed from 0 to 100

I reinstalled it, and it works now.

#6 - 2011-06-11 13:38 - Etienne Massip

- Status changed from Resolved to Closed

- Resolution set to Invalid

#7 - 2011-10-25 12:52 - Ross Mcgehee

SPAM
